Create a Team

Create a Team in an Organization. A Team is a group of users that have the same set of permissions in an Organization or Workspace.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization where the Team is created.

Request

This endpoint expects an object.
namestringRequired
The Team's name.
descriptionstringOptional
The Team's description.
memberIdslist of stringsOptional
The list of IDs for users to add to the Team.
organizationRoleenumOptional
The Team's Organization role.
Allowed values:

Response

OK
createdAtdatetime

The time when the Team was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

idstring
The Team's ID.
isIdpManagedboolean

Whether the Team is managed by an identity provider (IdP).

namestring
The Team's name.
organizationIdstring
The ID of the Organization to which the Team belongs.
organizationRoleenum
The Team's Organization role.
updatedAtdatetime

The time when the Team was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

createdByobject
dagRoleslist of objects
The Team's role in each DAG it belongs to.
deploymentRoleslist of objects
The Team's role in each Deployment it belongs to.
descriptionstring
The Team's description.
rolesCountinteger
The number of roles the Team has.
updatedByobject
workspaceRoleslist of objects
The Team's role in each Workspace it belongs to.

Errors

400
Create Team Body Bad Request Error
401
Create Team Body Unauthorized Error
403
Create Team Body Forbidden Error
404
Create Team Body Not Found Error
500
Create Team Body Internal Server Error